BrlAPI 1.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
brlapi_writeArguments_t Struct Reference
Writing on the braille display

`#include <brlapi.h>`

## Data Fields
int | displayNumber
unsigned int | regionBegin
unsigned int | regionSize
char * | text
int | textSize
unsigned char * | andMask
unsigned char * | orMask
int | cursor
char * | charset

## Detailed Description

Structure containing arguments to be given to brlapi_write()

## Field Documentation

unsigned char* brlapi_writeArguments_t::andMask

And attributes; applied first

char* brlapi_writeArguments_t::charset

Text charset. NULL means it is assumed to be 8bits, and the same as the server's. "" means current locale's charset. If no locale was selected, defaults to NULL's meaning.

int brlapi_writeArguments_t::cursor

BRLAPI_CURSOR_LEAVE == don't touch, BRLAPI_CURSOR_OFF == turn off, 1 = 1st char of display, ...

int brlapi_writeArguments_t::displayNumber

Display number BRLAPI_DISPLAY_DEFAULT == unspecified

unsigned char* brlapi_writeArguments_t::orMask

Or attributes; applied after ANDing

unsigned int brlapi_writeArguments_t::regionBegin

Region of display to update, 1st character of display is 1

unsigned int brlapi_writeArguments_t::regionSize

Number of characters held in text, andMask and orMask.

char* brlapi_writeArguments_t::text

Text to display, must hold as many characters as the region fields expresses.

int brlapi_writeArguments_t::textSize

Size of text in bytes. If -1, strlen() is used for computing it.

The documentation for this struct was generated from the following file:

- brlapi.h